<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>VFSFileHandlerReloadingDetector (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="VFSFileHandlerReloadingDetector (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/VFSFileHandlerReloadingDetector.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingEvent.html" title="class in org.apache.commons.configuration2.reloading"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/reloading/VFSFileHandlerReloadingDetector.html" target="_top">Frames</a></li>
<li><a href="VFSFileHandlerReloadingDetector.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2.reloading</div>
<h2 title="Class VFSFileHandlerReloadingDetector" class="title">Class VFSFileHandlerReloadingDetector</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/apache/commons/configuration2/reloading/FileHandlerReloadingDetector.html" title="class in org.apache.commons.configuration2.reloading">org.apache.commons.configuration2.reloading.FileHandlerReloadingDetector</a></li>
<li>
<ul class="inheritance">
<li>org.apache.commons.configuration2.reloading.VFSFileHandlerReloadingDetector</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingDetector.html" title="interface in org.apache.commons.configuration2.reloading">ReloadingDetector</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">VFSFileHandlerReloadingDetector</span>
extends <a href="../../../../../org/apache/commons/configuration2/reloading/FileHandlerReloadingDetector.html" title="class in org.apache.commons.configuration2.reloading">FileHandlerReloadingDetector</a></pre>
<div class="block"><p>
 A file-based reloading strategy that uses <a
 href="http://commons.apache.org/vfs/">Commons VFS</a> to determine when a
 file was changed.
 </p>
 <p>
 This reloading strategy is very similar to
 <a href="../../../../../org/apache/commons/configuration2/reloading/FileHandlerReloadingDetector.html" title="class in org.apache.commons.configuration2.reloading"><code>FileHandlerReloadingDetector</code></a>, except for the fact that it uses VFS
 and thus can deal with a variety of different configuration sources.
 </p>
 <p>
 This strategy only works with FileConfiguration instances.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.7</dd>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: VFSFileHandlerReloadingDetector.java 1624601 2014-09-12 18:04:36Z oheger $</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a
         href="http://commons.apache.org/configuration/team-list.html">Commons
         Configuration team</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/reloading/VFSFileHandlerReloadingDetector.html#VFSFileHandlerReloadingDetector--">VFSFileHandlerReloadingDetector</a></span>()</code>
<div class="block">Creates a new instance of <code>VFSFileHandlerReloadingDetector</code> and
 initializes it with an empty <code>FileHandler</code> object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/reloading/VFSFileHandlerReloadingDetector.html#VFSFileHandlerReloadingDetector-org.apache.commons.configuration2.io.FileHandler-">VFSFileHandlerReloadingDetector</a></span>(<a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html" title="class in org.apache.commons.configuration2.io">FileHandler</a>&nbsp;handler)</code>
<div class="block">Creates a new instance of <code>VFSFileHandlerReloadingDetector</code> and
 initializes it with the given <code>FileHandler</code> object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/reloading/VFSFileHandlerReloadingDetector.html#VFSFileHandlerReloadingDetector-org.apache.commons.configuration2.io.FileHandler-long-">VFSFileHandlerReloadingDetector</a></span>(<a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html" title="class in org.apache.commons.configuration2.io">FileHandler</a>&nbsp;handler,
                               long&nbsp;refreshDelay)</code>
<div class="block">Creates a new instance of <code>VFSFileHandlerReloadingDetector</code> and
 initializes it with the given <code>FileHandler</code> object and the given
 refresh delay.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected org.apache.commons.vfs2.FileObject</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/reloading/VFSFileHandlerReloadingDetector.html#getFileObject--">getFileObject</a></span>()</code>
<div class="block">Returns the file that is monitored by this strategy.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>protected long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/reloading/VFSFileHandlerReloadingDetector.html#getLastModificationDate--">getLastModificationDate</a></span>()</code>
<div class="block">Returns the date of the last modification of the monitored file.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/reloading/VFSFileHandlerReloadingDetector.html#resolveFileURI--">resolveFileURI</a></span>()</code>
<div class="block">Resolves the URI of the monitored file.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.configuration2.reloading.FileHandlerReloadingDetector">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.commons.configuration2.reloading.<a href="../../../../../org/apache/commons/configuration2/reloading/FileHandlerReloadingDetector.html" title="class in org.apache.commons.configuration2.reloading">FileHandlerReloadingDetector</a></h3>
<code><a href="../../../../../org/apache/commons/configuration2/reloading/FileHandlerReloadingDetector.html#getFile--">getFile</a>, <a href="../../../../../org/apache/commons/configuration2/reloading/FileHandlerReloadingDetector.html#getFileHandler--">getFileHandler</a>, <a href="../../../../../org/apache/commons/configuration2/reloading/FileHandlerReloadingDetector.html#getRefreshDelay--">getRefreshDelay</a>, <a href="../../../../../org/apache/commons/configuration2/reloading/FileHandlerReloadingDetector.html#isReloadingRequired--">isReloadingRequired</a>, <a href="../../../../../org/apache/commons/configuration2/reloading/FileHandlerReloadingDetector.html#reloadingPerformed--">reloadingPerformed</a>, <a href="../../../../../org/apache/commons/configuration2/reloading/FileHandlerReloadingDetector.html#updateLastModified-long-">updateLastModified</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="VFSFileHandlerReloadingDetector--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VFSFileHandlerReloadingDetector</h4>
<pre>public&nbsp;VFSFileHandlerReloadingDetector()</pre>
<div class="block">Creates a new instance of <code>VFSFileHandlerReloadingDetector</code> and
 initializes it with an empty <code>FileHandler</code> object.</div>
</li>
</ul>
<a name="VFSFileHandlerReloadingDetector-org.apache.commons.configuration2.io.FileHandler-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VFSFileHandlerReloadingDetector</h4>
<pre>public&nbsp;VFSFileHandlerReloadingDetector(<a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html" title="class in org.apache.commons.configuration2.io">FileHandler</a>&nbsp;handler,
                                       long&nbsp;refreshDelay)</pre>
<div class="block">Creates a new instance of <code>VFSFileHandlerReloadingDetector</code> and
 initializes it with the given <code>FileHandler</code> object and the given
 refresh delay.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>handler</code> - the <code>FileHandler</code></dd>
<dd><code>refreshDelay</code> - the refresh delay</dd>
</dl>
</li>
</ul>
<a name="VFSFileHandlerReloadingDetector-org.apache.commons.configuration2.io.FileHandler-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>VFSFileHandlerReloadingDetector</h4>
<pre>public&nbsp;VFSFileHandlerReloadingDetector(<a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html" title="class in org.apache.commons.configuration2.io">FileHandler</a>&nbsp;handler)</pre>
<div class="block">Creates a new instance of <code>VFSFileHandlerReloadingDetector</code> and
 initializes it with the given <code>FileHandler</code> object.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>handler</code> - the <code>FileHandler</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getLastModificationDate--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLastModificationDate</h4>
<pre>protected&nbsp;long&nbsp;getLastModificationDate()</pre>
<div class="block">Returns the date of the last modification of the monitored file. A return
 value of 0 indicates, that the monitored file does not exist. This implementation uses Commons VFS to obtain a
 <code>FileObject</code> and read the date of the last modification.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/reloading/FileHandlerReloadingDetector.html#getLastModificationDate--">getLastModificationDate</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/reloading/FileHandlerReloadingDetector.html" title="class in org.apache.commons.configuration2.reloading">FileHandlerReloadingDetector</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the last modification date</dd>
</dl>
</li>
</ul>
<a name="getFileObject--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFileObject</h4>
<pre>protected&nbsp;org.apache.commons.vfs2.FileObject&nbsp;getFileObject()</pre>
<div class="block">Returns the file that is monitored by this strategy. Note that the return
 value can be <b>null </b> under some circumstances.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the monitored file</dd>
</dl>
</li>
</ul>
<a name="resolveFileURI--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>resolveFileURI</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;resolveFileURI()</pre>
<div class="block">Resolves the URI of the monitored file.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the URI of the monitored file or <b>null</b> if it cannot be
         resolved</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/VFSFileHandlerReloadingDetector.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingEvent.html" title="class in org.apache.commons.configuration2.reloading"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/reloading/VFSFileHandlerReloadingDetector.html" target="_top">Frames</a></li>
<li><a href="VFSFileHandlerReloadingDetector.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
